/* ----------------------------- */
/* Slider                        */
/* ----------------------------- */

.slider {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.slide.active {
    opacity: 1;
}

/* Desactiva la interacción en slides inactivos */
.slide:not(.active) {
    pointer-events: none;
}

/* Activa la interacción en los botones del slide activo */
.slide.active .btn {
    pointer-events: auto;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slide-text {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(20, 20, 120, 0.75);
    color: #FFFFFF;
    text-align: center;
    padding: 20px;
    box-sizing: border-box;
    z-index: 1; /* Asegúrate de que el z-index sea adecuado */
}

.slide-text h2 {
    font-family: 'Geologica', serif;
    font-size: 3em;
    margin-bottom: 20px;
    max-width: 42%;
    text-align: center;
    color:#00f1c7;
}

.slide-text h2 span {
    color:white;
}

@media (max-width: 768px) {
    .slide-text h2 {
        font-size: 2em;
        max-width: 100%;
    }
}